Browse Source

Update to a newer hacking library

The older hacking library has a cap on pbr <2.0, with the recent 2.0.0
release of PBR it's causing failures in the pep8 job.

hacking isn't kept in sync via the typical proposal-bot updates.

Do it manually to clear the gate issue.

pep8 runtests: commands[0] | flake8
./os_collect_config/merger.py:45:22: W292 no newline at end of file
    return final_list

Change-Id: If863d2e190a4e1701ebf1fcb99a783075cda2556
Related-Bug: #1668848
tags/7.0.0.0b1
Tony Breeds 2 years ago
parent
commit
ec8b2576da
2 changed files with 2 additions and 2 deletions
  1. +1
    -1
      os_collect_config/merger.py
  2. +1
    -1
      test-requirements.txt

+ 1
- 1
os_collect_config/merger.py View File

@@ -42,4 +42,4 @@ def merged_list_from_content(final_content, deployment_keys, collector_name):
final_list.append((deployment['name'],
deployment['config']))
final_list.insert(0, (collector_name, final_content))
return final_list
return final_list

+ 1
- 1
test-requirements.txt View File

@@ -1,7 +1,7 @@
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking<0.10,>=0.9.2
hacking>=0.12.0,!=0.13.0,<0.14 # Apache-2.0

coverage>=4.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

Loading…
Cancel
Save